import { OnInit, EventEmitter, ChangeDetectorRef } from "@angular/core";
import { Configs } from "../../models/Configs.model";
import { Column } from "../../models/Column.model";
import { AngularTreeGridService } from "../../angular-tree-grid.service";
import { Store } from "../../store/store";
import * as i0 from "@angular/core";
export declare class TreeBodyComponent implements OnInit {
    private angularTreeGridService;
    private cdr;
    parents: any[];
    raw_data: any[];
    display_data: any[];
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    columns: Column[];
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    setParents(): void;
    refreshData(element: any): void;
    onRowExpand(event: any): void;
    onRowCollapse(event: any): void;
    saveRecord($event: any): void;
    checkAndRefreshData(element: any): void;
    addRow(element: any): void;
    cancelEdit(row_data: any): void;
    selectRow(row_data: any, event: any): void;
    selectRowOnCheck(row_data: any, event: any): void;
    /**
     * Set Select All config on Select change.
     *
     */
    setSelectAllConfig(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeBodyComponent, "[db-tree-body]", never, { "store": { "alias": "store"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; "expand_tracker": { "alias": "expand_tracker"; "required": false; }; "edit_tracker": { "alias": "edit_tracker"; "required": false; }; "internal_configs": { "alias": "internal_configs"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "cellclick": { "alias": "cellclick"; "required": false; }; "expand": { "alias": "expand"; "required": false; }; "collapse": { "alias": "collapse"; "required": false; }; "rowdelete": { "alias": "rowdelete"; "required": false; }; "rowsave": { "alias": "rowsave"; "required": false; }; "rowadd": { "alias": "rowadd"; "required": false; }; "rowselect": { "alias": "rowselect"; "required": false; }; "rowdeselect": { "alias": "rowdeselect"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=tree-body.component.d.ts.map