import { EventEmitter } from "@angular/core";
import { Configs } from "./models/Configs.model";
import { Store } from "./store/store";
import * as i0 from "@angular/core";
export declare class AngularTreeGridService {
    private display_data_observable;
    display_data_observable$: import("rxjs").Observable<any[]>;
    constructor();
    updateDisplayDataObservable(display_data: any): void;
    findRowIndex(display_data: any, configs: Configs, row_id: number): any;
    selectAll(display_data: any): void;
    deSelectAll(display_data: any): void;
    expandAll(expand_tracker: any): void;
    collapseAll(expand_tracker: any): void;
    expandRow(row_id: number, expand_tracker: any, expand_event: any, suppress_event: any, configs: Configs, display_data: any, store: Store): void;
    collapseRow(row_id: number, expand_tracker: any, collapse_event: any, suppress_event: any, configs: Configs, display_data: any): void;
    emitExpandRowEvent(expand_tracker: any, expand: any, store: Store, row_data: any, configs: Configs): void;
    disableRowSelection(display_data: any, configs: Configs, row_id: number): void;
    enableRowSelection(display_data: any, configs: Configs, row_id: number): void;
    disableRowExpand(display_data: any, configs: Configs, row_id: number): void;
    enableRowExpand(display_data: any, configs: Configs, row_id: number): void;
    expandSubgridRow(row_id: number, expand_tracker: any, expand_event: EventEmitter<any>, suppress_event: any, configs: Configs, display_data: any, store: Store): void;
    emitSubgridExpandRowEvent(expand_tracker: any, expand: EventEmitter<any>, store: Store, row_data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularTreeGridService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AngularTreeGridService>;
}
//# sourceMappingURL=angular-tree-grid.service.d.ts.map