import { OnInit, EventEmitter } from "@angular/core";
import { Store } from "../../store/store";
import { Configs } from "../../models/Configs.model";
import * as i0 from "@angular/core";
export declare class SubgridComponent implements OnInit {
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    row_data: any;
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    saveRecord($event: any): void;
    checkAndRefreshData(element: any): void;
    refreshData(element: any): void;
    cancelEdit(row_data: any): void;
    onRowExpand(event: any): void;
    onRowCollapse(event: any): void;
    selectRowOnCheck(row_data: any, event: any): void;
    /**
     * Set Select All config on Select change.
     *
     */
    setSelectAllConfig(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubgridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SubgridComponent, "[db-subgrid]", never, { "store": { "alias": "store"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; "expand_tracker": { "alias": "expand_tracker"; "required": false; }; "edit_tracker": { "alias": "edit_tracker"; "required": false; }; "internal_configs": { "alias": "internal_configs"; "required": false; }; "row_data": { "alias": "row_data"; "required": false; }; "cellclick": { "alias": "cellclick"; "required": false; }; "expand": { "alias": "expand"; "required": false; }; "rowselect": { "alias": "rowselect"; "required": false; }; "rowdeselect": { "alias": "rowdeselect"; "required": false; }; "rowsave": { "alias": "rowsave"; "required": false; }; "rowdelete": { "alias": "rowdelete"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=subgrid.component.d.ts.map