import { OnInit, EventEmitter } from "@angular/core";
import { Column } from "../../models/Column.model";
import { Configs } from "../../models/Configs.model";
import * as i0 from "@angular/core";
export declare class TreeCellComponent implements OnInit {
    is_expand_column: boolean;
    show_expand_icon: boolean;
    cell_value: string;
    configs: Configs;
    index: number;
    row_data: any;
    column: Column;
    expand_tracker: any;
    cellclick: EventEmitter<any>;
    edit_on: boolean;
    rowexpand: EventEmitter<any>;
    rowcollapse: EventEmitter<any>;
    canceledit: EventEmitter<any>;
    editcomplete: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    expandRow(event: any): void;
    collapseRow(event: any): void;
    onCellClick(event: any): void;
    onEditComplete($event: any): void;
    getChildrenPadding(): {
        "padding-right": string;
        "padding-left"?: undefined;
    } | {
        "padding-left": string;
        "padding-right"?: undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeCellComponent, "db-tree-cell", never, { "configs": { "alias": "configs"; "required": false; }; "index": { "alias": "index"; "required": false; }; "row_data": { "alias": "row_data"; "required": false; }; "column": { "alias": "column"; "required": false; }; "expand_tracker": { "alias": "expand_tracker"; "required": false; }; "cellclick": { "alias": "cellclick"; "required": false; }; "edit_on": { "alias": "edit_on"; "required": false; }; }, { "rowexpand": "rowexpand"; "rowcollapse": "rowcollapse"; "canceledit": "canceledit"; "editcomplete": "editcomplete"; }, never, never, false, never>;
}
//# sourceMappingURL=tree-cell.component.d.ts.map