import { OnInit, EventEmitter } from "@angular/core";
import { Configs } from "../../models/Configs.model";
import { Column } from "../../models/Column.model";
import { Store } from "../../store/store";
import { AngularTreeGridService } from "../../angular-tree-grid.service";
import * as i0 from "@angular/core";
export declare class TreeHeadComponent implements OnInit {
    private angularTreeGridService;
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    columns: Column[];
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnInit(): void;
    addRow(): void;
    selectAll(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeHeadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeHeadComponent, "[db-tree-head]", never, { "store": { "alias": "store"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; "expand_tracker": { "alias": "expand_tracker"; "required": false; }; "edit_tracker": { "alias": "edit_tracker"; "required": false; }; "internal_configs": { "alias": "internal_configs"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "rowselectall": { "alias": "rowselectall"; "required": false; }; "rowdeselectall": { "alias": "rowdeselectall"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=tree-head.component.d.ts.map